=== modified file 'utilities/python_standard_libs.py'
--- utilities/python_standard_libs.py	2011-04-18 16:16:14 +0000
+++ utilities/python_standard_libs.py	2011-04-18 16:17:35 +0000
@@ -25,26 +25,44 @@
     stdout.write("python_standard_libs = [\n")
     for module in sorted(modules, key=str.lower):
         stdout.write("    %r,\n" % module)
-    stdout.write("    ]")
+    stdout.write("    ]\n")
 
 
 python_standard_libs = [
+    '__builtin__',
+    '__future__',
+    '__main__',
+    '_winreg',
+    'abc',
+    'aepack',
+    'aetools',
+    'aetypes',
     'aifc',
+    'al',
+    'AL',
     'anydbm',
+    'applesingle',
     'array',
+    'ast',
     'asynchat',
     'asyncore',
     'atexit',
     'audioop',
+    'autoGIL',
     'base64',
     'BaseHTTPServer',
     'Bastion',
+    'bdb',
     'binascii',
     'binhex',
     'bisect',
     'bsddb',
+    'buildtools',
     'bz2',
     'calendar',
+    'Carbon',
+    'cd',
+    'cfmfile',
     'cgi',
     'CGIHTTPServer',
     'cgitb',
@@ -55,6 +73,7 @@
     'codecs',
     'codeop',
     'collections',
+    'ColorPicker',
     'colorsys',
     'commands',
     'compileall',
@@ -76,6 +95,7 @@
     'dbhash',
     'dbm',
     'decimal',
+    'DEVICE',
     'difflib',
     'dircache',
     'dis',
@@ -86,6 +106,7 @@
     'dumbdbm',
     'dummy_thread',
     'dummy_threading',
+    'EasyDialogs',
     'email',
     'encodings',
     'errno',
@@ -93,19 +114,29 @@
     'fcntl',
     'filecmp',
     'fileinput',
+    'findertools',
+    'FL',
+    'fl',
+    'flp',
+    'fm',
     'fnmatch',
     'formatter',
     'fpectl',
     'fpformat',
+    'fractions',
+    'FrameWork',
     'ftplib',
     'functools',
+    'future_builtins',
     'gc',
     'gdbm',
+    'gensuitemodule',
     'getopt',
     'getpass',
     'gettext',
+    'gl',
+    'GL',
     'glob',
-    'gopherlib',
     'grp',
     'gzip',
     'hashlib',
@@ -116,16 +147,29 @@
     'htmllib',
     'HTMLParser',
     'httplib',
+    'ic',
+    'icopen',
     'imageop',
     'imaplib',
+    'imgfile',
     'imghdr',
     'imp',
+    'imputil',
     'inspect',
+    'io',
     'itertools',
+    'jpeg',
+    'json',
     'keyword',
+    'lib2to3',
     'linecache',
     'locale',
     'logging',
+    'macerrors',
+    'MacOS',
+    'macostools',
+    'macpath',
+    'macresource',
     'mailbox',
     'mailcap',
     'marshal',
@@ -136,14 +180,20 @@
     'mimetypes',
     'MimeWriter',
     'mimify',
+    'MiniAEFrame',
     'mmap',
     'modulefinder',
+    'msilib',
+    'msvcrt',
     'multifile',
+    'multiprocessing',
     'mutex',
+    'Nav',
     'netrc',
     'new',
     'nis',
     'nntplib',
+    'numbers',
     'operator',
     'optparse',
     'os',
@@ -153,8 +203,10 @@
     'pickle',
     'pickletools',
     'pipes',
+    'PixMapWrapper',
     'pkgutil',
     'platform',
+    'plistlib',
     'popen2',
     'poplib',
     'posix',
@@ -176,7 +228,6 @@
     'resource',
     'rexec',
     'rfc822',
-    'rgbimg',
     'rlcompleter',
     'robotparser',
     'runpy',
@@ -200,6 +251,7 @@
     'SocketServer',
     'spwd',
     'sqlite3',
+    'ssl',
     'stat',
     'statvfs',
     'string',
@@ -208,7 +260,10 @@
     'struct',
     'subprocess',
     'sunau',
+    'sunaudiodev',
+    'SUNAUDIODEV',
     'symbol',
+    'symtable',
     'sys',
     'syslog',
     'tabnanny',
@@ -216,7 +271,6 @@
     'telnetlib',
     'tempfile',
     'termios',
-    'test.test_support',
     'test',
     'textwrap',
     'thread',
@@ -234,8 +288,8 @@
     'types',
     'unicodedata',
     'unittest',
+    'urllib',
     'urllib2',
-    'urllib',
     'urlparse',
     'user',
     'UserDict',
@@ -243,11 +297,14 @@
     'UserString',
     'uu',
     'uuid',
+    'videoreader',
+    'W',
     'warnings',
     'wave',
     'weakref',
     'webbrowser',
     'whichdb',
+    'winsound',
     'wsgiref',
     'xdrlib',
     'xml',

